Bug 836457 - Aeolus default credentials - admin/password -
Aeolus default credentials - admin/password -
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-configure (Show other bugs)
1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 03:06 EDT by Frederic Hornain
Modified: 2013-08-14 14:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 14:38:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2012-06-29 03:06:21 EDT
Description of problem:

Well, I followed the procedure written at the following URL : http://aeolusproject.org/use_it.html

The installation went smoothly but when I had to register the web interface with the default administrator credential - admin/password -  I had the following message : 
Login failed: The Username and Password you entered do not match

Version-Release number of selected component (if applicable):

Fedora 17
aeolus-all.noarch                     0.10.4-1.fc17                  updates    
aeolus-audrey-agent.noarch            0.5.0-0.fc17.20120504194102git64749bf
aeolus-conductor.noarch               0.10.4-1.fc17                  updates    
aeolus-conductor-daemons.noarch       0.10.4-1.fc17                  updates    
aeolus-conductor-devel.noarch         0.10.4-1.fc17                  updates    
aeolus-conductor-doc.noarch           0.10.4-1.fc17                  updates    
aeolus-configserver.noarch            0.5.0-0.fc17.20120504184333git3863582
aeolus-configure.noarch               2.6.0-1.fc17                   updates    
rubygem-aeolus-cli.noarch             0.4.0-1.fc17                   updates    
rubygem-aeolus-image.noarch           0.4.0-2.fc17                   updates

How reproducible:
Do a fresh installation of Fedora 17 and install Aeolus

Steps to Reproduce:
1. installation of Fedora 17
2. yum install aeolus-all
3. Follow the procedure written @ the following URL : http://aeolusproject.org/use_it.html
  
Actual results:
Login failed: The Username and Password you entered do not match

Expected results:
Well, I sould have access to the adminstration web console

Additional info:
Comment 1 Justin Clift 2012-06-29 10:09:22 EDT
Ouch, I'd forgotten to add links the newer instructions to the "Use It".
(now being fixed)

For the Aeolus 0.10.x series, the instructions it *should* have pointed you at are here:

  http://aeolusproject.org/gsg/0.10.0/configuring_aeolus.html

Slightly different arguments to the "aeolus-configure" line.  Needs a "-p admin" added now. :)

****************

That all being said, the Aeolus rpms for Fedora 17 aren't quite ready.

You'll also need to manually change SELinux to permissive mode before running aeolus-configure.

It's a temporary measure only, with a new rpm set coming along soon to fix it. Hopefully next week. :)

(or you could use Fedora 16, which works fine)

Hope that helps. :)
Comment 3 Mike Orazi 2012-09-06 11:50:35 EDT
This is upstream, so I'm removing the cloudforms-1.1 flag.

In light of the documentation fixes, has this been addressed?
Comment 5 Justin Clift 2012-09-06 12:11:26 EDT
Well, the documentation upstream is correct.

However, the 0.10.x rpms fail to create the admin user fairly often.  :(  We should probably add the rake "create user" task to the login instructions, as a workaround in case login fails.
Comment 6 Mike Orazi 2012-09-06 15:06:30 EDT
Moving this to fedora so we don't lose it.
Comment 7 Mo Morsi 2013-08-14 14:38:43 EDT
aeolus is no longer in development

Note You need to log in before you can comment on or make changes to this bug.